# Tarfile created using git
# git clone git://gitorious.org/capa/capa.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{git_version} | bzip2 > ~/%{name}-%{version}-%{gitdate}.tar.bz2
%define gitdate 20100107
%define git_version bf66198
%define tarfile %{name}-%{version}-%{gitdate}.tar.bz2

Name:           capa
Version:        0
Release:        0.1.%{gitdate}%{?dist}
Summary:        A graphical interface for "tethered shooting"

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://capa-project.org/
Source0:        %{tarfile}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool
BuildRequires:  libgphoto2-devel
BuildRequires:  unique-devel
BuildRequires:  gjs-devel
BuildRequires:  perl-Template-Toolkit
BuildRequires:  gir-repository-devel

%description
An interface for taking photographs with a digital camera completely
controlled from the computer. With a sufficiently capable digital SLR
camera Capa allows the user to trigger the shutter from the computer
and to view a live preview of scene before shooting. Additionally, an
automatic download of the photos can happen and all all camera settings
can be controlled from computer.


%prep
%setup -q

# run autogen.sh until we have a proper release, but don't run configure twice.
NOCONFIGURE=true ./autogen.sh


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc



%changelog
* Thu Jan 07 2010 Sebastian Dziallas <sebastian@when.com> - 0-0.1.20100107
- initial packaging
